[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TBaseJSONEnumerator.MoveNext

Move to next value in array/object

## Declaration

Source position: fpjson.pp line 60

`public function TBaseJSONEnumerator.MoveNext: Boolean; virtual; abstract;`

## Function result

True if the move was succesful

## Description

MoveNext attempts to move to the next value. This will return True if the move was succesful, or False if not. When True is returned, then

## See also

TJSONEnum |  | JSON enumerator loop variable type
TJSONData |  | Base (abstract) object for all JSON based data types

Documentation generated on: Feb 26 2014